package id.web.twoh.mymapapp;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.widget.AbsoluteLayout;
import android.widget.RelativeLayout;

/**
 * Created by asus on 29/11/2016.
 */

public class ListKlass {//extends SQLiteOpenHelper{
    //listposisiawal
    public  RelativeLayout rlParent;

//    private  static final int DATABASE_VERSION = 2;
//    private static final String d="socdb.db";
    //String sql= "create table"+d+"("+w+","+h [20]+","+x [20]+","+y [20]+","+cariposisi +;
//    ListKlass(Context context) {
//        super(context, d, null, DATABASE_VERSION);
//    }
//
//    @Override
//    public void onCreate(SQLiteDatabase db) {
//        db.execSQL(d);
//    }

    //listposisiawal
 public int[] w={15/*psa*/,20/*wakil rektor*/,20/*ruang tamu*/,20/*loket*/,20/*ypts*/,0/**/,0/**/,15/*bank*/,
            20/*program sekertariat program pasca sarjana*/,15/*kosong c*/,15/*ilc*/,10/*ruang tamu ilc*/,20/*2*/,20/*3*/,
            20/*4*/,20/*5*/,20/*6*/,20/*7*/,20/*8*/,20/*9*/,20/*10*/,20/*11*/,20/*12*/,20/*16*/,20/*17*/,20/*18*/,
            20/*19*/,20/*20*/,20/*21*/,20/*22*/,20/*23*/,20/*24*/,20/*kosongb1*/,20/*kosong tengah 2*/,
            20/*kosong tengah 3*/,20/*taman 1*/,20/*taman 2*/,20/*taman 3*/,20/*taman 4*/,20/*hotspot*/,20/*kosong b*/,
            20/*hima*/,20/*kantin*/,20/*sc*/,15/*lab mesin fluida*/,20/*lab manufacture 1*/,15/*lab beton teknologi*/,
            20/*lab mekanika tanah*/,15/*lab bahan jalan dan ilmu ukur tanah*/,20/*lab pengelasan*/,20/*lab desain, pneumatik dan hidrolik*/,
            15/*lab motor bakar*/,20/*lab material dan metalurgi*/,20/*lab dasar kimia*/,20/*lab operasi kimia*/,20/*lab energi terbarukan*/,
            15/*lab teknologi proses*/,20/*cnc*/,15/*lab towing tank (T. Perkapalan)*/,15/*h1-110*/,15/*h1-109*/,20/*R. Dosen sistem informasi 1*/,
            15/*jurusan sistem informasi*/,15/*jurusan informatika*/,15/*R. Dosen sistem informasi 2*/,15/*R. Dosen Informatika*/,20/*lab basprog*/,
            15/*magister lingkungan s2*/,15/*R. Sidang elektro*/,15/*jurusan elektro*/,15/*jurusan industri*/,20/*ruang translit dosen*/,
            15/*jurusan mesin*/,20/*jurusan kimia*/,15/*ruang sidang mesin*/,20/*lab manufacture 2*/,15/*h3-103*/,15/*lab rekayasa lingkungan*/,
            20/*lab kualitas lingkungan*/,

            //tambahan
            20/*masjid*/,15/*parkiran utara*/,15/*parkiran tengah utara*/,15/*parkiran barat*/,15/*parkiran tengah selatan*/,15/*parkiran selatan*/,20/*lapangan*/,15/*jalan utara*/,20/*jalan timur*/,15/*jalan selatan*/,15/*jalan utara tengah*/,
            15/*jalan timur tengah*/,20/*jalan selatan tengah*/,20/*jalan barat tengah*/,

            //L2

            15/*a201*/,20/*a202*/,15/*a203*/,20/*a204*/,20/*a205*/,20/*a206*/,15/*c201*/,20/*c203*/,20/*c204*/,15/*c205*/,15/*c206*/,20/*f-205*/,
            15/*f-204*/,15/*f-203*/,20/*f-202*/,20/*f-201*/,20/*g-205*/,20/*g-204*/,20/*g-203*/,20/*g-202*/,20/*g-201*/,20/*jurusan T.sipil*/,
            20/*jurusan desain produk*/,20/*kosong g*/,20/*jurusan arsitektur*/,20/*jurusan T.lingkungan*/,20/*kosong g2*/,20/*g-207*/,20/*g-206b*/,20/*g-206a*/,
            20/*h1-205*/,20/*h1-204*/,20/*h1-203*/,20/*h1-202*/,20/*h1-201b*/,15/*h2-201*/,20/*lab kimia*/,20/*h2-202*/,20/*h2-203*/,20/*h2-204*/,20/*h3-205*/,
            20/*h3-204*/,20/*h3-203*/,20/*h3-202*/,20/*h3-201*/,

            //L3

            20/*a301*/,15/*a302*/,15/*a303*/,15/*a304*/,15/*a305*/,15/*a306*/,20/*a307*/,15/*a308*/,20/*kosong 3a*/,15/*c301*/,15/*c302*/,15/*c303*/,20/*R. Dosen Magister Lingkungan*/,20/*c304*/,
            15/*c305*/,15/*f-310*/,15/*f-309*/,15/*f-308*/,15/*f-307*/,15/*f-306*/,15/*f-305*/,15/*f-304*/,15/*f-303*/,15/*f-302*/,15/*f-301*/,20/*g-305*/,20/*g-304*/,20/*g-303*/,20/*g-302*/,
            20/*g-301*/,20/*g-311a*/,20/*g-310*/,20/*g-309*/,20/*g-308*/,20/*g-307*/,20/*g-306*/,20/*h1-305*/,20/*h1-304*/,20/*h1-303*/,20/*h1-302*/,20/*h1-301*/,
            15/*h2-301*/,20/*lab sistem informasi*/,20/*h2-302*/,20/*h2-303*/,20/*h2-304*/,15/*h3-310*/,15/*h3-309*/,15/*h3-308*/,15/*h3-307*/,15/*h3-306*/,
            15/*h3-305*/,15/*h3-304*/,15/*h3-303*/,15/*h3-302*/,15/*h3-301*/,


            //L4

            20/*a401*/,15/*a302*/,15/*a303*/,15/*a304*/,15/*a305*/,15/*a306*/,20/*a307*/,15/*a308*/,20/*kosong 3a*/,15/*c301*/,15/*c302*/,15/*c303*/,20/*R. Dosen Magister Lingkungan*/,20/*c304*/,
            15/*c305*/,15/*f-310*/,20/*f-309*/,20/*f-308*/,20/*f-307*/,15/*f-306*/,15/*f-305*/,20/*g-205*/,20/*g-204*/,20/*g-203*/,20/*g-202*/,20/*g-201*/,20/*jurusan T.sipil*/,
            20/*jurusan desain produk*/,20/*kosong g*/,20/*jurusan arsitektur*/,20/*jurusan T.lingkungan*/,20/*kosong g2*/,20/*g-207*/,20/*g-206b*/,20/*g-206a*/,80/*jarkom*/,15/*statistik industri dan simulasi sistem industri*/,
            15/*h1-303*/,15/*h1-302*/,20/*h1-301*/,30/*lab elektro*/,20/*h3-308*/,20/*h3-307*/,15/*h3-306*/,15/*h3-305*/,15/*h3-304*/,15/*h3-303*/,15/*h3-302*/,15/*h3-301*/,0/*EE*/,0/*PERPUS*/,

//tangga dan jeding
            0/*245*/,
            0/*246*/,
            0/*247*/,
            0/*248*/,
            0/*249*/,
            0/*250*/,
            0/*251*/,
            0/*252*/,
            0/*253*/,
            0/*254*/,
            0/*256*/,
            0/*257*/,
            0/*258*/,
            0/*259*/,
            0/*260*/,
            0/*261*/,
            0/*262*/,
            0/*263*/,
            0/*264*/,
            0/*265*/,
            0/*266*/,
            0/*267*/,
            0/*268*/,
            0/*269*/,
            0/*270*/,
            0/*271*/,
            0/*272*/,
            0/*273*/,
            0/*274*/,
            0/*275*/,
            0/*276*/,
            0/*277*/,
            0/*278*/,
            0/*279*/,
            0/*280*/,
            0/*281*/,
            0/*282*/,
            0/*283*/,
            0/*284*/,
            0/*285*/,
            0/*286*/,
            0/*287*/,
            0/*288*/,
            0/*289*/,
            0/*290*/,
            0/*291*/,
            0/*292*/,
            0/*293*/,
            0/*294*/,
            0/*295*/,
            0/*296*/,
            0/*297*/,
            0/*298*/,
            0/*299*/,
            0/*300*/,
            0/*301*/,
            0/*302*/,
            0/*303*/,
            0/*304*/,
            0/*305*/,
            0/*306*/,
            0/*307*/,
            0/*308*/,
            0/*309*/,
            0/*310*/,
            0/*311*/,
            0/*312*/,
            0/*313*/,
            0/*314*/,
            0/*315*/,
            0/*316*/,
            0/*317*/,
    };
    public  int[] h={15/*psa*/,20/*wakil rektor*/,20/*ruang tamu*/,20/*loket*/,20/*ypts*/,0/**/,0/**/,15/*bank*/,
            20/*program sekertariat program pasca sarjana*/,15/*kosong c*/,15/*ilc*/,10/*ruang tamu ilc*/,20/*2*/,20/*3*/,
            20/*4*/,20/*5*/,20/*6*/,20/*7*/,20/*8*/,20/*9*/,20/*10*/,20/*11*/,20/*12*/,20/*16*/,20/*17*/,20/*18*/,
            20/*19*/,20/*20*/,20/*21*/,20/*22*/,20/*23*/,20/*24*/,20/*kosongb1*/,20/*kosong tengah 2*/,
            20/*kosong tengah 3*/,20/*taman 1*/,20/*taman 2*/,20/*taman 3*/,20/*taman 4*/,20/*hotspot*/,20/*kosong b*/,
            20/*hima*/,20/*kantin*/,20/*sc*/,15/*lab mesin fluida*/,20/*lab manufacture 1*/,15/*lab beton teknologi*/,
            20/*lab mekanika tanah*/,15/*lab bahan jalan dan ilmu ukur tanah*/,20/*lab pengelasan*/,20/*lab desain, pneumatik dan hidrolik*/,
            15/*lab motor bakar*/,20/*lab material dan metalurgi*/,20/*lab dasar kimia*/,20/*lab operasi kimia*/,20/*lab energi terbarukan*/,
            15/*lab teknologi proses*/,20/*cnc*/,15/*lab towing tank (T. Perkapalan)*/,15/*h1-110*/,15/*h1-109*/,20/*R. Dosen sistem informasi 1*/,
            15/*jurusan sistem informasi*/,15/*jurusan informatika*/,15/*R. Dosen sistem informasi 2*/,15/*R. Dosen Informatika*/,20/*lab basprog*/,
            15/*magister lingkungan s2*/,15/*R. Sidang elektro*/,15/*jurusan elektro*/,15/*jurusan industri*/,20/*ruang translit dosen*/,
            15/*jurusan mesin*/,20/*jurusan kimia*/,15/*ruang sidang mesin*/,20/*lab manufacture 2*/,15/*h3-103*/,15/*lab rekayasa lingkungan*/,
            20/*lab kualitas lingkungan*/,

            //tambahan

            20/*masjid*/,15/*parkiran utara*/,15/*parkiran tengah utara*/,15/*parkiran barat*/,15/*parkiran tengah selatan*/,15/*parkiran selatan*/,20/*lapangan*/,15/*jalan utara*/,20/*jalan timur*/,15/*jalan selatan*/,15/*jalan utara tengah*/,
            15/*jalan timur tengah*/,20/*jalan selatan tengah*/,20/*jalan barat tengah*/,

            //L2
            15/*a201*/,20/*a202*/,15/*a203*/,20/*a204*/,20/*a205*/,20/*a206*/,15/*c201*/,20/*c203*/,20/*c204*/,15/*c205*/,15/*c206*/,20/*f-205*/,
            15/*f-204*/,15/*f-203*/,20/*f-202*/,20/*f-201*/,20/*g-205*/,20/*g-204*/,20/*g-203*/,20/*g-202*/,20/*g-201*/,20/*jurusan T.sipil*/,
            20/*jurusan desain produk*/,20/*kosong g*/,20/*jurusan arsitektur*/,20/*jurusan T.lingkungan*/,20/*kosong g2*/,20/*g-207*/,20/*g-206b*/,20/*g-206a*/,
            20/*h1-205*/,20/*h1-204*/,20/*h1-203*/,20/*h1-202*/,20/*h1-201b*/,15/*h2-201*/,20/*lab kimia*/,20/*h2-202*/,20/*h2-203*/,20/*h2-204*/,20/*h3-205*/,
            20/*h3-204*/,20/*h3-203*/,20/*h3-202*/,20/*h3-201*/,

            //L3

            20/*a301*/,15/*a302*/,15/*a303*/,15/*a304*/,15/*a305*/,15/*a306*/,20/*a307*/,15/*a308*/,20/*kosong 3a*/,15/*c301*/,15/*c302*/,15/*c303*/,20/*R. Dosen Magister Lingkungan*/,20/*c304*/,
            15/*c305*/,15/*f-310*/,15/*f-309*/,15/*f-308*/,15/*f-307*/,15/*f-306*/,15/*f-305*/,15/*f-304*/,15/*f-303*/,15/*f-302*/,15/*f-301*/,20/*g-305*/,20/*g-304*/,20/*g-303*/,20/*g-302*/,
            20/*g-301*/,20/*g-311a*/,20/*g-310*/,20/*g-309*/,20/*g-308*/,20/*g-307*/,20/*g-306*/,20/*h1-305*/,20/*h1-304*/,20/*h1-303*/,20/*h1-302*/,20/*h1-301*/,
            15/*h2-301*/,20/*lab sistem informasi*/,20/*h2-302*/,20/*h2-303*/,20/*h2-304*/,15/*h3-310*/,15/*h3-309*/,15/*h3-308*/,15/*h3-307*/,15/*h3-306*/,
            15/*h3-305*/,15/*h3-304*/,15/*h3-303*/,15/*h3-302*/,15/*h3-301*/,

            //L4

            20/*a401*/,15/*a302*/,15/*a303*/,15/*a304*/,15/*a305*/,15/*a306*/,20/*a307*/,15/*a308*/,20/*kosong 3a*/,15/*c301*/,15/*c302*/,15/*c303*/,20/*R. Dosen Magister Lingkungan*/,20/*c304*/,
            15/*c305*/,15/*f-310*/,20/*f-309*/,20/*f-308*/,20/*f-307*/,15/*f-306*/,15/*f-305*/,20/*g-205*/,20/*g-204*/,20/*g-203*/,20/*g-202*/,20/*g-201*/,20/*jurusan T.sipil*/,
            20/*jurusan desain produk*/,20/*kosong g*/,20/*jurusan arsitektur*/,20/*jurusan T.lingkungan*/,20/*kosong g2*/,20/*g-207*/,20/*g-206b*/,20/*g-206a*/,20/*jarkom*/,15/*statistik industri dan simulasi sistem industri*/,
            15/*h1-303*/,15/*h1-302*/,20/*h1-301*/,20/*lab elektro*/,20/*h3-308*/,20/*h3-307*/,15/*h3-306*/,15/*h3-305*/,15/*h3-304*/,15/*h3-303*/,15/*h3-302*/,15/*h3-301*/,0/*EE*/,0/*PERPUS*/,

//tangga dan jeding
            0/*245*/,
            0/*246*/,
            0/*247*/,
            0/*248*/,
            0/*249*/,
            0/*250*/,
            0/*251*/,
            0/*252*/,
            0/*253*/,
            0/*254*/,
            0/*256*/,
            0/*257*/,
            0/*258*/,
            0/*259*/,
            0/*260*/,
            0/*261*/,
            0/*262*/,
            0/*263*/,
            0/*264*/,
            0/*265*/,
            0/*266*/,
            0/*267*/,
            0/*268*/,
            0/*269*/,
            0/*270*/,
            0/*271*/,
            0/*272*/,
            0/*273*/,
            0/*274*/,
            0/*275*/,
            0/*276*/,
            0/*277*/,
            0/*278*/,
            0/*279*/,
            0/*280*/,
            0/*281*/,
            0/*282*/,
            0/*283*/,
            0/*284*/,
            0/*285*/,
            0/*286*/,
            0/*287*/,
            0/*288*/,
            0/*289*/,
            0/*290*/,
            0/*291*/,
            0/*292*/,
            0/*293*/,
            0/*294*/,
            0/*295*/,
            0/*296*/,
            0/*297*/,
            0/*298*/,
            0/*299*/,
            0/*300*/,
            0/*301*/,
            0/*302*/,
            0/*303*/,
            0/*304*/,
            0/*305*/,
            0/*306*/,
            0/*307*/,
            0/*308*/,
            0/*309*/,
            0/*310*/,
            0/*311*/,
            0/*312*/,
            0/*313*/,
            0/*314*/,
            0/*315*/,
            0/*316*/,
            0/*317*/,


    };
    public  int[] x={143/*psa*/,193/*wakil rektor*/,253/*ruang tamu*/,283/*loket*/,313/*ypts*/,0,0,366/*bank*/,386/*program sekertariat program pasca sarjana*/,
            426/*kosong c*/,426/*ilc*/,414/*ruang tamu ilc*/,22/*2*/,22/*3*/,22/*4*/,22/*5*/,22/*6*/,22/*7*/,22/*8*/,22/*9*/,22/*10*/,
            22/*11*/,22/*12*/,104/*16*/,104/*17*/,104/*18*/,104/*19*/,104/*20*/,104/*21*/,104/*22*/,104/*23*/,104/*24*/,64/*kosongb1*/,64/*kosong tengah 2*/,
            64/*kosong tengah 3*/,64/*taman 1*/,64/*taman 2*/,64/*taman 3*/,64/*taman 4*/,64/*hotspot*/,104/*kosong b*/,430/*hima*/,430/*kantin*/,417/*sc*/,
            58/*lab mesin fluida*/,125/*lab manufacture 1*/,193/*lab beton teknologi*/,195/*lab mekanika tanah*/,195/*lab bahan jalan dan ilmu ukur tanah*/,
            145/*lab pengelasan*/,100/*lab desain, pneumatik dan hidrolik*/,58/*lab motor bakar*/,56/*lab material dan metalurgi*/,74/*lab dasar kimia*/,
            108/*lab operasi kimia*/,138/*lab energi terbarukan*/,165/*lab teknologi proses*/,185/*cnc*/,213/*lab towing tank (T. Perkapalan)*/,253/*h1-110*/,
            271/*h1-109*/,295/*R. Dosen sistem informasi 1*/,320/*jurusan sistem informasi*/,334/*jurusan informatika*/,350/*R. Dosen sistem informasi 2*/,
            366/*R. Dosen Informatika*/,385/*lab basprog*/,395/*magister lingkungan s2*/,380/*R. Sidang elektro*/,365/*jurusan elektro*/,350/*jurusan industri*/,
            325/*ruang translit dosen*/,303/*jurusan mesin*/,275/*jurusan kimia*/,256/*ruang sidang mesin*/,300/*lab manufacture 2*/,348/*h3-103*/,
            365/*lab rekayasa lingkungan*/,385/*lab kualitas lingkungan*/,
            //tambahan

            20/*masjid*/,15/*parkiran utara*/,15/*parkiran tengah utara*/,15/*parkiran barat*/,15/*parkiran tengah selatan*/,15/*parkiran selatan*/,20/*lapangan*/,15/*jalan utara*/,20/*jalan timur*/,15/*jalan selatan*/,15/*jalan utara tengah*/,
            15/*jalan timur tengah*/,20/*jalan selatan tengah*/,20/*jalan barat tengah*/,

            //L2

            143/*a201*/,165/*a202*/,192/*a203*/,243/*a204*/,283/*a205*/,318/*a206*/,365/*c201*/,388/*c203*/,418/*c204*/,425/*c205*/,
            409/*c206*/,74/*f-205*/,100/*f-204*/,115/*f-203*/,139/*f-202*/,184/*f-201*/,58/*g-205*/,95/*g-204*/,125/*g-203*/,150/*g-202*/,188/*g-201*/,188/*jurusan T.sipil*/,
            188/*jurusan desain produk*/,188/*kosong g*/,154/*jurusan arsitektur*/,124/*jurusan T.lingkungan*/,94/*kosong g2*/,58/*g-207*/,58/*g-206b*/,58/*g-206a*/,
            263/*h1-205*/,293/*h1-204*/,328/*h1-203*/,358/*h1-202*/,388/*h1-201b*/,397/*h2-201*/,375/*lab kimia*/,340/*h2-202*/,310/*h2-203*/,280/*h2-204*/,263/*h3-205*/,
            293/*h3-204*/,323/*h3-203*/,353/*h3-202*/,383/*h3-201*/,

            //L3

            150/*a301*/,175/*a302*/,192/*a303*/,209/*a304*/,260/*a305*/,276/*a306*/,300/*a307*/,325/*a308*/,231/*kosong 3a*/,365/*c301*/,382/*c302*/,398/*c303*/,
            417/*R. Dosen Magister Lingkungan*/,417/*c304*/,380/*c305*/,70/*f-310*/,86/*f-309*/,102/*f-308*/,118/*f-307*/,133/*f-306*/,149/*f-305*/,163/*f-304*/,
            178/*f-303*/,194/*f-302*/,209/*f-301*/,58/*g-305*/,95/*g-304*/,125/*g-303*/,150/*g-302*/,188/*g-301*/,188/*g-311a*/,188/*g-310*/,134/*g-309*/,
            94/*g-308*/,58/*g-307*/,58/*g-306*/,263/*h1-305*/,293/*h1-304*/,323/*h1-303*/,353/*h1-302*/,383/*h1-301*/,397/*h2-301*/,373/*lab sistem informasi*/,
            340/*h2-302*/,310/*h2-303*/,280/*h2-304*/,255/*h3-310*/,271/*h3-309*/,286/*h3-308*/,302/*h3-307*/,318/*h3-206*/,333/*h3-305*/,348/*h3-304*/,363/*h3-303*/,
            379/*h3-302*/,394/*h3-301*/,

            //L4

            150/*a301*/,175/*a302*/,192/*a303*/,209/*a304*/,260/*a305*/,276/*a306*/,300/*a307*/,325/*a308*/,231/*kosong 3a*/,365/*c301*/,382/*c302*/,398/*c303*/,
            417/*R. Dosen Magister Lingkungan*/,417/*c304*/,380/*c305*/,70/*f-310*/,105/*f-309*/,140/*f-308*/,175/*f-307*/,198/*f-306*/,215/*f-305*/,58/*g-205*/,
            95/*g-204*/,125/*g-203*/,150/*g-202*/,188/*g-201*/,188/*jurusan T.sipil*/,188/*jurusan desain produk*/,188/*kosong g*/,154/*jurusan arsitektur*/,
            124/*jurusan T.lingkungan*/,94/*kosong g2*/,58/*g-207*/,58/*g-206b*/,58/*g-206a*/,323/*lab jarkom*/,397/*h2-401*/,381/*h1-303*/,361/*h1-302*/,340/*h1-301*/,
            290/*h2-301*/,260/*lab teknik tenaga listrik dan mesin listrik*/,290/*h2-302*/,318/*h2-303*/,333/*h2-304*/,348/*h3-310*/,363/*h3-309*/,380/*h3-308*/,395/*h3-307*/,0/*EE*/,0/*PERPUS*/,


//tangga dan jeding
            0/*245*/,
            0/*246*/,
            0/*247*/,
            0/*248*/,
            0/*249*/,
            0/*250*/,
            0/*251*/,
            0/*252*/,
            0/*253*/,
            0/*254*/,
            0/*256*/,
            0/*257*/,
            0/*258*/,
            0/*259*/,
            0/*260*/,
            0/*261*/,
            0/*262*/,
            0/*263*/,
            0/*264*/,
            0/*265*/,
            0/*266*/,
            0/*267*/,
            0/*268*/,
            0/*269*/,
            0/*270*/,
            0/*271*/,
            0/*272*/,
            0/*273*/,
            0/*274*/,
            0/*275*/,
            0/*276*/,
            0/*277*/,
            0/*278*/,
            0/*279*/,
            0/*280*/,
            0/*281*/,
            0/*282*/,
            0/*283*/,
            0/*284*/,
            0/*285*/,
            0/*286*/,
            0/*287*/,
            0/*288*/,
            0/*289*/,
            0/*290*/,
            0/*291*/,
            0/*292*/,
            0/*293*/,
            0/*294*/,
            0/*295*/,
            0/*296*/,
            0/*297*/,
            0/*298*/,
            0/*299*/,
            0/*300*/,
            0/*301*/,
            0/*302*/,
            0/*303*/,
            0/*304*/,
            0/*305*/,
            0/*306*/,
            0/*307*/,
            0/*308*/,
            0/*309*/,
            0/*310*/,
            0/*311*/,
            0/*312*/,
            0/*313*/,
            0/*314*/,
            0/*315*/,
            0/*316*/,
            0/*317*/,



    };
    public  int[] y={100/*psa*/,97/*wakil rektor*/,97/*ruang tamu*/,97/*loket*/,97/*ypts*/,0,0,97/*bank*/,97/*program sekertariat program pasca sarjana*/,
            99/*kosong c*/,137/*ilc*/,99/*ruang tamu ilc*/,145/*2*/,175/*3*/,205/*4*/,235/*5*/,275/*6*/,310/*7*/,337/*8*/,367/*9*/,397/*10*/,
            427/*11*/,457/*12*/,205/*16*/,235/*17*/,260/*18*/,290/*19*/,320/*20*/,380/*21*/,410/*22*/,440/*23*/,470/*24*/,275/*kosongb1*/,355/*kosong tengah 2*/,
            440/*kosong tengah 3*/,155/*taman 1*/,235/*taman 2*/,315/*taman 3*/,395/*taman 4*/,195/*hotspot*/,155/*kosong b*/,290/*hima*/,350/*kantin*/,450/*sc*/,
            518/*lab mesin fluida*/,518/*lab manufacture 1*/,518/*lab beton teknologi*/,560/*lab mekanika tanah*/,600/*lab bahan jalan dan ilmu ukur tanah*/,
            598/*lab pengelasan*/,598/*lab desain, pneumatik dan hidrolik*/,598/*lab motor bakar*/,560/*lab material dan metalurgi*/,628/*lab dasar kimia*/,
            628/*lab operasi kimia*/,628/*lab energi terbarukan*/,629/*lab teknologi proses*/,628/*cnc*/,629/*lab towing tank (T. Perkapalan)*/,558/*h1-110*/,
            560/*h1-109*/,558/*R. Dosen sistem informasi 1*/,560/*jurusan sistem informasi*/,560/*jurusan informatika*/,560/*R. Dosen sistem informasi 2*/,560/*R. Dosen Informatika*/,
            558/*lab basprog*/,598/*magister lingkungan s2*/,598/*R. Sidang elektro*/,598/*jurusan elektro*/,598/*jurusan industri*/,595/*ruang translit dosen*/,598/*jurusan mesin*/,
            595/*jurusan kimia*/,638/*ruang sidang mesin*/,638/*lab manufacture 2*/,638/*h3-103*/,638/*lab rekayasa lingkungan*/,636/*lab kualitas lingkungan*/,

            //tambahan

            20/*masjid*/,15/*parkiran utara*/,15/*parkiran tengah utara*/,15/*parkiran barat*/,15/*parkiran tengah selatan*/,15/*parkiran selatan*/,20/*lapangan*/,15/*jalan utara*/,20/*jalan timur*/,15/*jalan selatan*/,15/*jalan utara tengah*/,
            15/*jalan timur tengah*/,20/*jalan selatan tengah*/,20/*jalan barat tengah*/,

            //L2

            100/*a201*/,97/*a202*/,100/*a203*/,97/*a204*/,97/*a205*/,97/*a206*/,100/*c201*/,100/*c203*/,100/*c204*/,137/*c204*/,
            137/*c206*/,628/*f-205*/,628/*f-204*/,628/*f-203*/,628/*f-202*/,628/*f-201*/,518/*g-205*/,518/*g-204*/,518/*g-203*/,518/*g-202*/,518/*g-201*/,545/*jurusan T.sipil*/,
            568/*jurusan desain produk*/,595/*kosong g*/,598/*jurusan arsitektur*/,598/*jurusan T.lingkungan*/,598/*kosong g2*/,598/*g-207*/,570/*g-206b*/,543/*g-206a*/,
            558/*h1-205*/,558/*h1-204*/,558/*h1-203*/,558/*h1-202*/,558/*h1-201b*/,598/*h2-201*/,592/*lab kimia*/,595/*h2-202*/,595/*h2-203*/,595/*h2-204*/,636/*h3-205*/,
            636/*h3-204*/,636/*h3-203*/,636/*h3-202*/,636/*h3-201*/,

            //L3

            97/*a301*/,100/*a302*/,100/*a303*/,100/*a304*/,100/*a305*/,100/*a306*/,97/*a307*/,100/*a308*/,97/*kosong 3a*/,100/*c301*/,100/*c302*/,100/*c303*/,
            97/*R. Dosen Magister Lingkungan*/,137/*c304*/,137/*c305*/,630/*f-310*/,630/*f-309*/,630/*f-308*/,630/*f-307*/,630/*f-306*/,630/*f-305*/,630/*f-304*/,
            630/*f-303*/,630/*f-302*/,630/*f-301*/,518/*g-305*/,518/*g-304*/,518/*g-303*/,518/*g-302*/,518/*g-301*/,563/*g-311a*/,595/*g-310*/,595/*g-309*/,
            595/*g-308*/,595/*g-307*/,563/*g-306*/,558/*h1-305*/,558/*h1-304*/,558/*h1-303*/,558/*h1-302*/,558/*h1-301*/,598/*h2-301*/,595/*lab sistem informasi*/,
            595/*h2-302*/,595/*h2-303*/,595/*h2-304*/,638/*h3-310*/,638/*h3-309*/,638/*h3-308*/,638/*h3-307*/,638/*h3-306*/,
            638/*h3-305*/,638/*h3-304*/,638/*h3-303*/,638/*h3-302*/,638/*h3-301*/,

            //L4

            100/*a401*/,100/*a402*/,100/*a403*/,100/*a404*/,100/*a405*/,100/*a406*/,97/*a407*/,100/*a408*/,97/*kosong 4a*/,100/*c401*/,100/*c402*/,100/*c403*/,
            97/*R. Dosen Magister Lingkungan L4*/,137/*c404*/,137/*c405*/,633/*f-310*/,633/*f-309*/,633/*f-308*/,633/*f-307*/,630/*f-306*/,630/*f-305*/,518/*g-405*/,518/*g-404*/,518/*g-403*/,518/*g-402*/,518/*g-401*/,545/*kosong 4g1*/,
            568/*kosong 4g2*/,595/*studio tugas akhir 2*/,598/*g-411*/,598/*g-410*/,598/*g-409*/,598/*g-408*/,570/*g-407*/,543/*g-406*/,558/*jarkom*/,596/*h1-304*/,596/*h1-303*/,598/*h1-302*/,598/*h1-301*/,596/*h2-301*/,
            638/*lab teknik tenaga listrik dan mesin listrik*/,638/**/,638/*h3-306*/,638/*h3-305*/,638/*h3-304*/,638/*h3-303*/,638/*h3-302*/,638/*h3-301*/,0/*EE*/,0/*PERPUS*/,


            //tangga dan jeding
            0/*245*/,
            0/*246*/,
            0/*247*/,
            0/*248*/,
            0/*249*/,
            0/*250*/,
            0/*251*/,
            0/*252*/,
            0/*253*/,
            0/*254*/,
            0/*256*/,
            0/*257*/,
            0/*258*/,
            0/*259*/,
            0/*260*/,
            0/*261*/,
            0/*262*/,
            0/*263*/,
            0/*264*/,
            0/*265*/,
            0/*266*/,
            0/*267*/,
            0/*268*/,
            0/*269*/,
            0/*270*/,
            0/*271*/,
            0/*272*/,
            0/*273*/,
            0/*274*/,
            0/*275*/,
            0/*276*/,
            0/*277*/,
            0/*278*/,
            0/*279*/,
            0/*280*/,
            0/*281*/,
            0/*282*/,
            0/*283*/,
            0/*284*/,
            0/*285*/,
            0/*286*/,
            0/*287*/,
            0/*288*/,
            0/*289*/,
            0/*290*/,
            0/*291*/,
            0/*292*/,
            0/*293*/,
            0/*294*/,
            0/*295*/,
            0/*296*/,
            0/*297*/,
            0/*298*/,
            0/*299*/,
            0/*300*/,
            0/*301*/,
            0/*302*/,
            0/*303*/,
            0/*304*/,
            0/*305*/,
            0/*306*/,
            0/*307*/,
            0/*308*/,
            0/*309*/,
            0/*310*/,
            0/*311*/,
            0/*312*/,
            0/*313*/,
            0/*314*/,
            0/*315*/,
            0/*316*/,
            0/*317*/,


    };
    public String[] cariposisi ={"psa"/*0*/,"wakil rektor"/*1*/,"ruang tamu"/*2*/,"loket"/*3*/,"ypts"/*4*/,""/*5*/,"km a"/*6*/,"bank"/*7*/,
            "program sekertariat program pasca sarjana"/*8*/,"kosonga1"/*9*/,"ilc"/*10*/,"ruang tamu ilc"/*11*/,"2"/*12*/,"3"/*13*/,"4"/*14*/,"5"/*15*/,"6"/*16*/,"7"/*17*/,"8"/*18*/,
            "9"/*19*/,"10"/*20*/,"11"/*21*/,"12"/*22*/,"16"/*23*/,"17"/*24*/,"18"/*25*/,"19"/*26*/,"20"/*27*/,"21"/*28*/,"22"/*29*/,"23"/*30*/,"24"/*31*/,"kosong tengah 1"/*32*/,"kosong tengah 2"/*33*/,"kosong tengah 3"/*34*/,
            "taman 1"/*35*/,"taman 2"/*36*/,"taman 3"/*37*/,"taman 4"/*38*/,"hotspot"/*39*/,"kosong b"/*40*/,"hima"/*41*/,"kantin"/*42*/,"sc"/*43*/,"lab mesin fluida"/*44*/,"lab manufacture 1"/*45*/,"lab beton teknologi"/*46*/,
            "lab mekanika tanah"/*47*/,"lab bahan jalan dan ilmu ukur tanah"/*48*/,"lab pengelasan"/*49*/,"lab desain, pneumatik dan hidrolik"/*50*/,
            "lab motor bakar"/*51*/,"lab material dan metalurgi"/*52*/,"lab dasar kimia"/*53*/,"lab operasi kimia"/*54*/,"lab energi terbarukan"/*55*/,"lab teknologi proses"/*56*/,
            "cnc"/*57*/,"lab towing tank (T. Perkapalan)"/*58*/,"h1-110"/*59*/,"h1-109"/*60*/,"R. Dosen sistem informasi 1"/*61*/,"jurusan sistem informasi"/*62*/,"jurusan informatika"/*63*/,"R. Dosen sistem informasi 2"/*64*/,
            "R. Dosen Informatika"/*65*/,"lab basprog"/*66*/,"magister lingkungan s2"/*67*/,"R. Sidang elektro"/*68*/,"jurusan elektro"/*69*/,"jurusan industri"/*70*/,
            "ruang transit dosen"/*71*/,"jurusan mesin"/*72*/,"jurusan kimia"/*73*/,"ruang sidang mesin"/*74*/,"lab manufacture 2"/*75*/,"h3-103"/*76*/,
            "lab rekayasa lingkungan"/*77*/,"lab kualitas lingkungan"/*78*/,
//Tambahan
            "masjid"/*79*/,
            "parkiran utara"/*80*/,
            "parkiran tengah utara"/*81*/,
            "parkiran barat"/*82*/,
            "parkiran tengah selatan"/*83*/,
            "parkiran selatan"/*84*/,
            "lapangan"/*85*/,
            "jalan utara"/*86*/,
            "jalan timur"/*87*/,
            "jalan selatan"/*88*/,
            "jalan utara tengah"/*89*/,
            "jalan timur tengah"/*90*/,
            "jalan selatan tengah"/*91*/,
            "jalan barat tengah"/*92*/,

//L2
            "a-201"/*93*/,"a-202"/*94*/,"a-203"/*95*/,"a-204"/*96*/,"a-205"/*97*/,"a-206"/*98*/,"c-201"/*99*/,"c-203"/*100*/,"c-204"/*101*/,"c-205"/*102*/,"c-206"/*103*/,"f-205"/*104*/,"f-204"/*105*/,"f-203"/*106*/,"f-202"/*107*/,
            "f-201"/*108*/,"g-205"/*109*/,"g-204"/*110*/,"g-203"/*111*/,"g-202"/*112*/,"g-201"/*113*/,"jurusan T.sipil"/*114*/,"jurusan desain produk"/*115*/,"kosong g"/*116*/,"jurusan arsitektur"/*117*/,
            "jurusan T.lingkungan"/*118*/,"kosong g2"/*119*/,"g-207"/*120*/,"g-206b"/*121*/,"g-206a"/*122*/,"h1-205"/*123*/,"h1-204"/*124*/,"h1-203"/*125*/,"h1-202"/*126*/,"h1-201b"/*127*/,"h2-201"/*128*/,
            "lab kimia"/*129*/,"h2-202"/*130*/,"h2-203"/*131*/,"h2-204"/*132*/,"h3-205"/*133*/,"h3-204"/*134*/,"h3-203"/*135*/,"h3-202"/*136*/,"h3-201"/*137*/,
//L3
            "a-301"/*138*/,"a-302"/*139*/,"a-303"/*140*/,"a-304"/*141*/,"a-305"/*142*/,"a-306"/*143*/,"a-307"/*144*/,"a-308"/*145*/,"kosong3a"/*146*/,"c-301"/*147*/,"c-302"/*148*/,"c-303"/*149*/,"R. Dosen Magister Lingkungan"/*150*/,
            "c-304"/*151*/,"c-305"/*152*/,"f-310"/*153*/,"f-309"/*154*/,"f-308"/*155*/,"f-307"/*156*/,"f-306"/*157*/,"f-305"/*158*/,"f-304"/*159*/,"f-303"/*160*/,"f-302"/*161*/,"f-301"/*162*/,"g-305"/*163*/,"g-304"/*164*/,"g-303"/*165*/,
            "g-302"/*166*/,"g-301"/*167*/,"g-311a"/*168*/,"g-310"/*169*/,"g-309"/*170*/,"g-308"/*171*/,"g-307"/*172*/,"g-306"/*173*/,"h1-305"/*174*/,"h1-304"/*175*/,"h1-303"/*176*/,"h1-302"/*177*/,"h1-301"/*178*/,"h2-301"/*179*/,
            "lab sistem informasi"/*180*/,"h2-302"/*181*/,"h2-303"/*182*/,"h2-304"/*183*/,"h3-310"/*184*/,"h3-309"/*185*/,"h3-308"/*186*/,"h3-307"/*187*/,"h3-306"/*188*/,"h3-305"/*189*/,"h3-304"/*190*/,"h3-303"/*191*/,
            "h3-302"/*192*/,"h3-301"/*193*/,
//L4
            "a-401"/*194*/,"a-402"/*195*/,"a-403"/*196*/,"a-404"/*197*/,"a-405"/*198*/,"a-406"/*199*/,"a-407"/*200*/,"a-408"/*201*/,"kosong4a"/*202*/,"c-401"/*203*/,"c-402"/*204*/,"c-403"/*205*/,"R. Dosen magister lingkungan L4"/*206*/,"c-404"/*207*/,
            "c-405"/*208*/,"lab autocad dan aplikasi teknik"/*209*/,"lab fisika"/*210*/,"atlas"/*211*/,"kosong4f"/*212*/,"lab explorasi dan bahan galian"/*213*/,"lab perpetaan dan ukur tanah"/*214*/,
            "g-405"/*215*/,"g-404"/*216*/,"g-403"/*217*/,"g-402"/*218*/,"g-401"/*219*/,"kosong1"/*220*/,"kosong2"/*221*/,"studio tugas akhir 2"/*222*/,"g-411"/*223*/,"g-410"/*224*/,"g-409"/*225*/,"g-408"/*226*/,"g-407"/*227*/,"g-406"/*228*/,
            "lab jaringan komputer"/*229*/,"h2-401"/*230*/,"statistik industri dan simulasi sistem industri"/*231*/,"ruang baca industri"/*232*/,"lab industri"/*233*/,"lab elektro"/*234*/,
            "lab teknik tenaga listrik dan mesin listrik"/*235*/,"ruang robotika"/*236*/,"h3-406"/*237*/,"h3-405"/*238*/,"h3-404"/*239*/,"h3-403"/*240*/,"h3-402"/*241*/,"h3-401"/*242*/,"kosong"/*243*/,"perpus"/*244*/,
            //tangga dan jeding
            "km a1"/*245*/,
            "km c"/*246*/,
            "km b"/*247*/,
            "km b1"/*248*/,
            "km b2"/*249*/,
            "km b3"/*250*/,
            "km h"/*251*/,
            "km 2a"/*252*/,
            "km 2a1"/*253*/,
            "km 2c1"/*254*/,
            "",
            "km 2g"/*256*/,
            "km 2g1"/*257*/,
            "km 2h"/*258*/,
            "km 3a"/*259*/,
            "km 3a1"/*260*/,
            "km 3c"/*261*/,
            "km 3g"/*262*/,
            "km 3g2"/*263*/,
            "km 3h1"/*264*/,
            "km 4a"/*265*/,
            "km 4a1"/*266*/,
            "km 4c1"/*267*/,
            "km 4g"/*268*/,
            "km 4g1"/*269*/,
            "km 4h"/*270*/,
//"tgg a"/*271*/,
//"tgg a1"/*272*/,
//"tgg c"/*273*/,
//"tgg f"/*274*/,
//"tgg f2"/*275*/,
//"tgg g"/*276*/,
//"tgg g1"/*277*/,
//"tgg g2"/*278*/,
//"tgg g 3"/*279*/,
//"tgg h"/*280*/,
//"tgg h1"/*281*/,
//"tgg h2"/*282*/,
//"tgg h3"/*283*/,
//"tgg h4"/*284*/,
//"tgg h5"/*285*/,
//"tgg 2a"/*286*/,
//"tgg 2a1"/*287*/,
//"tgg 2a2"/*288*/,
//"tgg 2c"/*289*/,
//"tgg 2f"/*290*/,
//"tgg 2f1"/*291*/,
//"tgg 2g"/*292*/,
//"tgg 2g1"/*293*/,
//"tgg 2g2"/*294*/,
//"tgg 2g3"/*295*/,
//"tgg 2h"/*296*/,
//"tgg 2h1"/*297*/,
//"tgg 2h2"/*298*/,
//"tgg 2h3"/*299*/,
//"tgg 2h4"/*300*/,
//"tgg 2h5"/*301*/,
//"tgg 3a"/*302*/,
//"tgg 3a1"/*303*/,
//"tgg 3a2"/*304*/,
//"tgg 3c"/*305*/,
//"tgg 3f"/*306*/,
//"tgg 3f1"/*307*/,
//"tgg 3g"/*308*/,
//"tgg 3g1"/*309*/,
//"tgg 3g2"/*310*/,
//"tgg 3g3"/*311*/,
//"tgg 3h"/*312*/,
//"tgg 3h1"/*313*/,
//"tgg 3h2"/*314*/,
//"tgg 3h3"/*315*/,
//"tgg 3h4"/*316*/,
//"tgg 3h5"/*317*/

    };
    public double[] lebar={

            5,25,15,
            10,
            10,
            2,
            3,
            5,
            5,
            5,

            5,
            5,
            5,
            5,
            5,
            5,
            5,
            5,
            5,
            5,

            5,
            5,
            5,
            5,
            5,
            5,
            5,
            5,
            5,
            5,

            5,
            5,
            5,
            5,
            5,
            5,
            5,
            5,
            5,
            10,

            10,
            10,
            10,
            30,
            10,
            10,
            10,
            15,
            15,
            10,

            10,
            10,
            10,
            10,
            5,
            10,
            5,
            5,
            5,
            10,

            5,
            5,
            5,
            5,
            10,
            5,
            5,
            5,
            5,
            10,

            5,
            10,
            5,
            25,
            5,
            5,
            10,
            5,
            5,

//tambahan
            25,
            115,
            96,
            10,
            61,
            126,
            56,
            100,
            5,
            140,
            52,
            2,
            52,
            2,

            //L2
            5,
            10,
            5,
            10,
            10,
            10,
            5,
            10,
            10,
            5,

            5,
            10,
            5,
            5,
            10,
            20,
            10,
            10,
            10,
            10,

            10,
            10,
            10,
            10,
            10,
            10,
            10,
            10,
            10,
            10,

            10,
            10,
            10,
            10,
            10,
            5,
            10,
            10,
            10,
            10,

            10,
            10,
            10,
            10,
            10,
            //L3
            10,
            5,
            5,
            5,
            5,
            5,
            10,
            5,
            15,
            5,

            5,
            5,
            10,
            10,
            5,
            5,
            5,
            5,
            5,
            5,

            5,
            5,
            5,
            5,
            5,
            10,
            10,
            10,
            10,
            10,

            10,
            10,
            20,
            10,
            10,
            10,
            10,
            10,
            10,
            10,

            10,
            10,
            5,
            10,
            10,
            10,
            5,
            5,
            5,
            5,

            5,
            5,
            5,
            5,
            5,
            5,

//L4
            10,
            5,
            5,
            5,
            5,
            5,
            10,
            5,
            15,
            5,

            5,
            5,
            10,
            10,
            5,
            5,
            15,
            10,
            10,
            5,

            5,
            10,
            10,
            10,
            10,
            10,
            10,
            10,
            10,
            10,

            10,
            10,
            10,
            10,
            10,
            50,
            5,
            5,
            5,
            10,

            20,
            10,
            10,
            5,
            5,
            5,
            5,
            5,
            5,
            5,
            5/*perpus*/,
            3,

//jeding tangga
            3,
            3,
            3,
            3,
            3,

            3,
            3,
            3,
            3,
            3,
            3,
            3,
            3,
            3,
            3,

            3,
            3,
            3,
            3,
            3,
            3,
            3,
            3,
            3,
            3,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//2,
//
//
//


    };
    public int[] tkanan={
            //L1
            86/*0*/,86/*1*/,86/*2*/,86/*3*/,86/*4*/,-1/*5*/,0/*6*/,86/*7*/,86/*8*/,86/*9*/,9/*10*/,
            86/*11*/,247/*12*/,12/*13*/,13/*14*/,14/*15*/,248/*16*/,16/*17*/,17/*18*/,18/*19*/,19/*20*/,
            20/*21*/,21/*22*/,40/*23*/,23/*24*/,24/*25*/,25/*26*/,26/*27*/,250/*28*/,28/*29*/,29/*30*/,
            30/*31*/,36/*32*/,37/*33*/,38/*34*/,79/*35*/,39/*36*/,32/*37*/,33/*38*/,35/*39*/,-1/*40*/,
            81/*41*/,41/*42*/,42/*43*/,88/*44*/,88/*45*/,88/*46*/,46/*47*/,47/*48*/,-1/*49*/,-1/*50*/,
            52/*51*/,44/*52*/,-1/*53*/,-1/*54*/,-1/*55*/,-1/*56*/,-1/*57*/,-1/*58*/,88/*59*/,88/*60*/,
            88/*61*/,88/*62*/,88/*63*/,88/*64*/,88/*65*/,88/*66*/,-1/*67*/,-1/*68*/,-1/*69*/,-1/*70*/,
            -1,-1,-1,-1,-1,-1,-1,-1,
//tambahan

            -1/*79*/,-1/*80*/,0/*81*/,81/*82*/,91/*83*/,53/*84*/,89/*85*/,80/*86*/,80/*87*/,83/*88*/,81/*89*/,89/*90*/,85/*91*/,89/*92*/,
            //L2
            -1,-1,-1,-1,-1,-1,-1,-1,-1,100,
            101,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,113,114,115,-1,-1,-1,121,122,109,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1
            -1,-1,-1,-1,-1,
            //L3
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,150,149,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            167,168,-1,-1,173,163,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,
            //L4
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,206,205,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,219,220,221,-1,
            -1,-1,227,228,215,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            59,

            4,8,79,15,22,27,244,93,98,100,/*11*/-1,
            119,117,123,138,145,148,171,170,174,194,
            201,204,225,223,229,//2,4,11,-1,-1,
            //88,-1,88,-1,88,280,281,88,283,284,
            //93,-1,98,100,-1,-1,-1,-1,-1,-1,
            //-1,296,297,-1,299,300,138,146,145,148,
            //-1,-1,-1,-1,-1,-1,-1,312,313,-1,
            //315,316,
    };
    public int[] tkiri={
            //L1
            6,-1,-1,-1,245,-1,81,-1,246,-1,
            81,-1,13,14,15,248,17,18,19,20,
            21,22,249,24,25,26,27,250,29,
            30,31,88,37,38,-1,39,32,33,34,
            36,23,42,43,88,52,-1,47,48,-1,-1,
            -1,-1,51,84,84,84,84,84,84,244,
            244,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,84,84,84,84,84,
            //tambahan

            247,86,89,88,88,-1,91,0,84,44,85,83,83,83,
            //L2
            252,-1,-1,-1,-1,253,-1,254,103,-1,
            -1,-1,-1,-1,-1,-1,122,-1,-1,-1,
            114,115,116,-1,-1,-1,-1,-1,120,121,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,
            //L3
            259,-1,-1,-1,-1,-1,-1,260,-1,-1,
            261,152,151,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,
            -1,-1,-1,173,-1,-1,-1,168,169,-1,
            -1,-1,-1,172,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,
            //L4
            265,-1,-1,-1,-1,-1,-1,266,-1,-1,
            267,208,207,-1,-1,-1,-1,-1,-1,-1,
            -1,228,-1,-1,-1,220,221,222,-1,-1,
            -1,-1,-1,226,227,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            251,

            81,81,12,16,88,28,-1,-1,-1,-1,/*11*/-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,//81,81,81,84,84,
            //-1,-1,-1,-1,281,282,84,284,285,84,
//            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
//            297,298,-1,300,301,-1,-1,-1,-1,-1,
//            -1,-1,-1,-1,-1,-1,313,314,-1,316,
//            317,-1
    };

    public int[] tdepan={
            //L1
            79,-1,1,2,3,-1,-1,-1,7,11,
            -1,8/**/,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,39,36,32,32,37,38,38,
            34,-1,16,19,21,12,15,17,20,14,
            35,90,90,90,-1,44,45,-1,49,50,
            51,-1,-1,-1,53,54,55,56,57,-1,
            59,60,61,62,63,64,65,68,69,70,
            71,72,73,251,-1,74,75,76,77,
            //tambahan

            -1,-1,40,25,82,-1,92,79,81,-1,82,85,82,82,
            //L2
            -1,93,94,-1,96,97,-1,99,100,-1,
            102,-1,104,105,106,107,-1,109,110,111,
            112,-1,-1,117,118,119,120,-1,-1,-1,
            -1,123,124,125,126,129,130,131,132,258,
            -1,133,134,135,136,
            //L3
            -1,138,139,140,146,142,143,144,141,-1,
            147,148,149,152,-1,-1,153,154,155,156,
            157,158,159,160,161,-1,163,164,165,166,
            -1,170,171,172,-1,-1,-1,174,175,176,
            177,180,181,182,183,264,-1,184,185,186,
            187,188,189,190,191,192,
            //L4
            -1,194,195,196,202,198,199,200,197,-1,
            203,204,205,208,-1,-1,209,210,211,212,
            213,-1,215,216,217,218,-1,-1,223,224,
            225,226,-1,-1,-1,-1,231,232,233,234,
            270,-1,235,236,237,238,239,240,241,-1,
            -1,

            -1,-1,-1,-1,-1,33,-1,-1,-1,-1,/*11*/-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,//-1,245,246,-1,58,
//            44,51,45,49,-1,-1,275,66,67,78,
//            -1,-1,253,254,-1,108,109,120,112,117,
//            -1,-1,291,127,128,137,-1,-1,260,261,
//            -1,162,163,172,166,170,-1,-1,307,178,
//            179,193
    };
    public int[] tblakang={
            //L1
            1,2,3,4,-1,-1,-1,8,11,87
            ,87,9,35,35,39,36,32,37,37,33
            ,38,34,34,81,81,82,82,82,82,82,
            82,82,25,28,30,40,24,27,28,23,
            81,87,87,87,45,46,-1,-1,-1,48,
            49,50
            ,-1,54,55,56,57,58,-1,60,61,62
            ,63,64,65,66,-1,-1,67,68,69,70
            ,71,72,75,76,77,78,-1,
            //tambahan

            0,-1,87,92,43,87,90,87,-1,87,90,41,43,85,
            //L2
            94,95,-1,97,98,-1,100,101,-1,103,
            -1,105,106,107,108,-1,110,111,112,113,
            -1,-1,-1,-1,116,117,118,119,-1,-1,
            124,125,126,127,-1,-1,128,129,130,131,
            134,135,136,137,-1,
            //L3
            139,140,141,146,143,144,145,-1,142,148,149,
            150,-1,-1,151,154,155,156,157,158,159,
            160,161,162,-1,164,165,166,167,-1,-1,
            -1,169,170,171,-1,175,176,177,178,-1,
            -1,179,180,181,182,185,186,187,188,189,190,
            191,192,193,-1,
            //L4
            195,196,197,202,199,200,201,-1,198,204,
            205,206,-1,-1,207,210,211,212,213,214,
            -1,216,217,218,219,-1,-1,-1,-1,222,
            223,224,225,-1,-1,-1,-1,230,231,232,
            233,236,237,238,239,240,241,242,-1,-1,
            -1,

            -1,-1,-1,36,-1,82,73,-1,-1,-1,
            -1,-1,-1,132,-1,-1,-1,-1,-1,183,-1,
            -1,-1,-1,-1,234,//-1,10,53,282,
//            45,50,46,48,59,251,74,87,87,87,
//            252,-1,-1,102,104,298,110,119,113,116,
//            123,258,133,-1,-1,-1,259,-1,-1,152,
//            153,314,164,171,167,169,174,264,184,-1
//            ,-1,-1
    };


    //listkelastujuan
    public  RelativeLayout rlParent1;
    //listkelastujuan

    public  int[] w1={15/*psa*/,20/*wakil rektor*/,20/*ruang tamu*/,20/*loket*/,20/*ypts*/,0/**/,0/**/,15/*bank*/,
            20/*program sekertariat program pasca sarjana*/,15/*kosong c*/,15/*ilc*/,10/*ruang tamu ilc*/,20/*2*/,20/*3*/,
            20/*4*/,20/*5*/,20/*6*/,20/*7*/,20/*8*/,20/*9*/,20/*10*/,20/*11*/,20/*12*/,20/*16*/,20/*17*/,20/*18*/,
            20/*19*/,20/*20*/,20/*21*/,20/*22*/,20/*23*/,20/*24*/,20/*kosongb1*/,20/*kosong tengah 2*/,
            20/*kosong tengah 3*/,20/*taman 1*/,20/*taman 2*/,20/*taman 3*/,20/*taman 4*/,20/*hotspot*/,20/*kosong b*/,
            20/*hima*/,20/*kantin*/,20/*sc*/,15/*lab mesin fluida*/,20/*lab manufacture 1*/,15/*lab beton teknologi*/,
            20/*lab mekanika tanah*/,15/*lab bahan jalan dan ilmu ukur tanah*/,20/*lab pengelasan*/,20/*lab desain, pneumatik dan hidrolik*/,
            15/*lab motor bakar*/,20/*lab material dan metalurgi*/,20/*lab dasar kimia*/,20/*lab operasi kimia*/,20/*lab energi terbarukan*/,
            15/*lab teknologi proses*/,20/*cnc*/,15/*lab towing tank (T. Perkapalan)*/,15/*h1-110*/,15/*h1-109*/,20/*R. Dosen sistem informasi 1*/,
            15/*jurusan sistem informasi*/,15/*jurusan informatika*/,15/*R. Dosen sistem informasi 2*/,15/*R. Dosen Informatika*/,20/*lab basprog*/,
            15/*magister lingkungan s2*/,15/*R. Sidang elektro*/,15/*jurusan elektro*/,15/*jurusan industri*/,20/*ruang translit dosen*/,
            15/*jurusan mesin*/,20/*jurusan kimia*/,15/*ruang sidang mesin*/,20/*lab manufacture 2*/,15/*h3-103*/,15/*lab rekayasa lingkungan*/,
            20/*lab kualitas lingkungan*/,

            //tam
            0,0,0,0,0,0,0,0,0,0,/*11*/0,
            0,0,0,
            //L2

            15/*a201*/,20/*a202*/,15/*a203*/,20/*a204*/,20/*a205*/,20/*a206*/,15/*c201*/,20/*c203*/,20/*c204*/,15/*c205*/,15/*c206*/,20/*f-205*/,
            15/*f-204*/,15/*f-203*/,20/*f-202*/,20/*f-201*/,20/*g-205*/,20/*g-204*/,20/*g-203*/,20/*g-202*/,20/*g-201*/,20/*jurusan T.sipil*/,
            20/*jurusan desain produk*/,20/*kosong g*/,20/*jurusan arsitektur*/,20/*jurusan T.lingkungan*/,20/*kosong g2*/,20/*g-207*/,20/*g-206b*/,20/*g-206a*/,
            20/*h1-205*/,20/*h1-204*/,20/*h1-203*/,20/*h1-202*/,20/*h1-201b*/,15/*h2-201*/,20/*lab kimia*/,20/*h2-202*/,20/*h2-203*/,20/*h2-204*/,20/*h3-205*/,
            20/*h3-204*/,20/*h3-203*/,20/*h3-202*/,20/*h3-201*/,

            //L3

            20/*a301*/,15/*a302*/,15/*a303*/,15/*a304*/,15/*a305*/,15/*a306*/,20/*a307*/,15/*a308*/,20/*kosong 3a*/,15/*c301*/,15/*c302*/,15/*c303*/,20/*R. Dosen Magister Lingkungan*/,20/*c304*/,
            15/*c305*/,15/*f-310*/,15/*f-309*/,15/*f-308*/,15/*f-307*/,15/*f-306*/,15/*f-305*/,15/*f-304*/,15/*f-303*/,15/*f-302*/,15/*f-301*/,20/*g-305*/,20/*g-304*/,20/*g-303*/,20/*g-302*/,
            20/*g-301*/,20/*g-311a*/,20/*g-310*/,20/*g-309*/,20/*g-308*/,20/*g-307*/,20/*g-306*/,20/*h1-305*/,20/*h1-304*/,20/*h1-303*/,20/*h1-302*/,20/*h1-301*/,
            15/*h2-301*/,20/*lab sistem informasi*/,20/*h2-302*/,20/*h2-303*/,20/*h2-304*/,15/*h3-310*/,15/*h3-309*/,15/*h3-308*/,15/*h3-307*/,15/*h3-306*/,
            15/*h3-305*/,15/*h3-304*/,15/*h3-303*/,15/*h3-302*/,15/*h3-301*/,


            //L4

            20/*a401*/,15/*a302*/,15/*a303*/,15/*a304*/,15/*a305*/,15/*a306*/,20/*a307*/,15/*a308*/,20/*kosong 3a*/,15/*c301*/,15/*c302*/,15/*c303*/,20/*R. Dosen Magister Lingkungan*/,20/*c304*/,
            15/*c305*/,15/*f-310*/,20/*f-309*/,20/*f-308*/,20/*f-307*/,15/*f-306*/,15/*f-305*/,20/*g-205*/,20/*g-204*/,20/*g-203*/,20/*g-202*/,20/*g-201*/,20/*jurusan T.sipil*/,
            20/*jurusan desain produk*/,20/*kosong g*/,20/*jurusan arsitektur*/,20/*jurusan T.lingkungan*/,20/*kosong g2*/,20/*g-207*/,20/*g-206b*/,20/*g-206a*/,80/*jarkom*/,15/*statistik industri dan simulasi sistem industri*/,
            15/*h1-303*/,15/*h1-302*/,20/*h1-301*/,30/*lab elektro*/,20/*h3-308*/,20/*h3-307*/,15/*h3-306*/,15/*h3-305*/,15/*h3-304*/,15/*h3-303*/,15/*h3-302*/,15/*h3-301*/,

            //tambahan

    };
    public  int[] h1={15/*psa*/,20/*wakil rektor*/,20/*ruang tamu*/,20/*loket*/,20/*ypts*/,0/**/,0/**/,15/*bank*/,
            20/*program sekertariat program pasca sarjana*/,15/*kosong c*/,15/*ilc*/,10/*ruang tamu ilc*/,20/*2*/,20/*3*/,
            20/*4*/,20/*5*/,20/*6*/,20/*7*/,20/*8*/,20/*9*/,20/*10*/,20/*11*/,20/*12*/,20/*16*/,20/*17*/,20/*18*/,
            20/*19*/,20/*20*/,20/*21*/,20/*22*/,20/*23*/,20/*24*/,20/*kosongb1*/,20/*kosong tengah 2*/,
            20/*kosong tengah 3*/,20/*taman 1*/,20/*taman 2*/,20/*taman 3*/,20/*taman 4*/,20/*hotspot*/,20/*kosong b*/,
            20/*hima*/,20/*kantin*/,20/*sc*/,15/*lab mesin fluida*/,20/*lab manufacture 1*/,15/*lab beton teknologi*/,
            20/*lab mekanika tanah*/,15/*lab bahan jalan dan ilmu ukur tanah*/,20/*lab pengelasan*/,20/*lab desain, pneumatik dan hidrolik*/,
            15/*lab motor bakar*/,20/*lab material dan metalurgi*/,20/*lab dasar kimia*/,20/*lab operasi kimia*/,20/*lab energi terbarukan*/,
            15/*lab teknologi proses*/,20/*cnc*/,15/*lab towing tank (T. Perkapalan)*/,15/*h1-110*/,15/*h1-109*/,20/*R. Dosen sistem informasi 1*/,
            15/*jurusan sistem informasi*/,15/*jurusan informatika*/,15/*R. Dosen sistem informasi 2*/,15/*R. Dosen Informatika*/,20/*lab basprog*/,
            15/*magister lingkungan s2*/,15/*R. Sidang elektro*/,15/*jurusan elektro*/,15/*jurusan industri*/,20/*ruang translit dosen*/,
            15/*jurusan mesin*/,20/*jurusan kimia*/,15/*ruang sidang mesin*/,20/*lab manufacture 2*/,15/*h3-103*/,15/*lab rekayasa lingkungan*/,
            20/*lab kualitas lingkungan*/,

            //tam
            0,0,0,0,0,0,0,0,0,0,/*11*/0,
            0,0,0,
            //L2
            15/*a201*/,20/*a202*/,15/*a203*/,20/*a204*/,20/*a205*/,20/*a206*/,15/*c201*/,20/*c203*/,20/*c204*/,15/*c205*/,15/*c206*/,20/*f-205*/,
            15/*f-204*/,15/*f-203*/,20/*f-202*/,20/*f-201*/,20/*g-205*/,20/*g-204*/,20/*g-203*/,20/*g-202*/,20/*g-201*/,20/*jurusan T.sipil*/,
            20/*jurusan desain produk*/,20/*kosong g*/,20/*jurusan arsitektur*/,20/*jurusan T.lingkungan*/,20/*kosong g2*/,20/*g-207*/,20/*g-206b*/,20/*g-206a*/,
            20/*h1-205*/,20/*h1-204*/,20/*h1-203*/,20/*h1-202*/,20/*h1-201b*/,15/*h2-201*/,20/*lab kimia*/,20/*h2-202*/,20/*h2-203*/,20/*h2-204*/,20/*h3-205*/,
            20/*h3-204*/,20/*h3-203*/,20/*h3-202*/,20/*h3-201*/,

            //L3

            20/*a301*/,15/*a302*/,15/*a303*/,15/*a304*/,15/*a305*/,15/*a306*/,20/*a307*/,15/*a308*/,20/*kosong 3a*/,15/*c301*/,15/*c302*/,15/*c303*/,20/*R. Dosen Magister Lingkungan*/,20/*c304*/,
            15/*c305*/,15/*f-310*/,15/*f-309*/,15/*f-308*/,15/*f-307*/,15/*f-306*/,15/*f-305*/,15/*f-304*/,15/*f-303*/,15/*f-302*/,15/*f-301*/,20/*g-305*/,20/*g-304*/,20/*g-303*/,20/*g-302*/,
            20/*g-301*/,20/*g-311a*/,20/*g-310*/,20/*g-309*/,20/*g-308*/,20/*g-307*/,20/*g-306*/,20/*h1-305*/,20/*h1-304*/,20/*h1-303*/,20/*h1-302*/,20/*h1-301*/,
            15/*h2-301*/,20/*lab sistem informasi*/,20/*h2-302*/,20/*h2-303*/,20/*h2-304*/,15/*h3-310*/,15/*h3-309*/,15/*h3-308*/,15/*h3-307*/,15/*h3-306*/,
            15/*h3-305*/,15/*h3-304*/,15/*h3-303*/,15/*h3-302*/,15/*h3-301*/,

            //L4

            20/*a401*/,15/*a302*/,15/*a303*/,15/*a304*/,15/*a305*/,15/*a306*/,20/*a307*/,15/*a308*/,20/*kosong 3a*/,15/*c301*/,15/*c302*/,15/*c303*/,20/*R. Dosen Magister Lingkungan*/,20/*c304*/,
            15/*c305*/,15/*f-310*/,20/*f-309*/,20/*f-308*/,20/*f-307*/,15/*f-306*/,15/*f-305*/,20/*g-205*/,20/*g-204*/,20/*g-203*/,20/*g-202*/,20/*g-201*/,20/*jurusan T.sipil*/,
            20/*jurusan desain produk*/,20/*kosong g*/,20/*jurusan arsitektur*/,20/*jurusan T.lingkungan*/,20/*kosong g2*/,20/*g-207*/,20/*g-206b*/,20/*g-206a*/,20/*jarkom*/,15/*statistik industri dan simulasi sistem industri*/,
            15/*h1-303*/,15/*h1-302*/,20/*h1-301*/,20/*lab elektro*/,20/*h3-308*/,20/*h3-307*/,15/*h3-306*/,15/*h3-305*/,15/*h3-304*/,15/*h3-303*/,15/*h3-302*/,15/*h3-301*/,

            //jdng

            0,0,0,0,0,0,0,0,0,0,/*11*/0,
            0,0,0,0,0,0,0,0,0,0,0,0,0,/*11*/0,
            0,0,0,


    };
    public  int[] x1={143/*psa*/,193/*wakil rektor*/,253/*ruang tamu*/,283/*loket*/,313/*ypts*/,0,0,366/*bank*/,386/*program sekertariat program pasca sarjana*/,
            426/*kosong c*/,426/*ilc*/,414/*ruang tamu ilc*/,22/*2*/,22/*3*/,22/*4*/,22/*5*/,22/*6*/,22/*7*/,22/*8*/,22/*9*/,22/*10*/,
            22/*11*/,22/*12*/,104/*16*/,104/*17*/,104/*18*/,104/*19*/,104/*20*/,104/*21*/,104/*22*/,104/*23*/,104/*24*/,64/*kosongb1*/,64/*kosong tengah 2*/,
            64/*kosong tengah 3*/,64/*taman 1*/,64/*taman 2*/,64/*taman 3*/,64/*taman 4*/,64/*hotspot*/,104/*kosong b*/,430/*hima*/,430/*kantin*/,417/*sc*/,
            58/*lab mesin fluida*/,125/*lab manufacture 1*/,193/*lab beton teknologi*/,195/*lab mekanika tanah*/,195/*lab bahan jalan dan ilmu ukur tanah*/,
            145/*lab pengelasan*/,100/*lab desain, pneumatik dan hidrolik*/,58/*lab motor bakar*/,56/*lab material dan metalurgi*/,74/*lab dasar kimia*/,
            108/*lab operasi kimia*/,138/*lab energi terbarukan*/,165/*lab teknologi proses*/,185/*cnc*/,213/*lab towing tank (T. Perkapalan)*/,253/*h1-110*/,
            271/*h1-109*/,295/*R. Dosen sistem informasi 1*/,320/*jurusan sistem informasi*/,334/*jurusan informatika*/,350/*R. Dosen sistem informasi 2*/,
            366/*R. Dosen Informatika*/,385/*lab basprog*/,395/*magister lingkungan s2*/,380/*R. Sidang elektro*/,365/*jurusan elektro*/,350/*jurusan industri*/,
            325/*ruang translit dosen*/,303/*jurusan mesin*/,275/*jurusan kimia*/,256/*ruang sidang mesin*/,300/*lab manufacture 2*/,348/*h3-103*/,
            365/*lab rekayasa lingkungan*/,385/*lab kualitas lingkungan*/,
            //tam
            0,0,0,0,0,0,0,0,0,0,/*11*/0,
            0,0,0,

            //L2

            143/*a201*/,165/*a202*/,192/*a203*/,243/*a204*/,283/*a205*/,318/*a206*/,365/*c201*/,388/*c203*/,418/*c204*/,425/*c205*/,
            409/*c206*/,74/*f-205*/,100/*f-204*/,115/*f-203*/,139/*f-202*/,184/*f-201*/,58/*g-205*/,95/*g-204*/,125/*g-203*/,150/*g-202*/,188/*g-201*/,188/*jurusan T.sipil*/,
            188/*jurusan desain produk*/,188/*kosong g*/,154/*jurusan arsitektur*/,124/*jurusan T.lingkungan*/,94/*kosong g2*/,58/*g-207*/,58/*g-206b*/,58/*g-206a*/,
            263/*h1-205*/,293/*h1-204*/,328/*h1-203*/,358/*h1-202*/,388/*h1-201b*/,397/*h2-201*/,375/*lab kimia*/,340/*h2-202*/,310/*h2-203*/,280/*h2-204*/,263/*h3-205*/,
            293/*h3-204*/,323/*h3-203*/,353/*h3-202*/,383/*h3-201*/,

            //L3

            150/*a301*/,175/*a302*/,192/*a303*/,209/*a304*/,260/*a305*/,276/*a306*/,300/*a307*/,325/*a308*/,231/*kosong 3a*/,365/*c301*/,382/*c302*/,398/*c303*/,
            417/*R. Dosen Magister Lingkungan*/,417/*c304*/,380/*c305*/,70/*f-310*/,86/*f-309*/,102/*f-308*/,118/*f-307*/,133/*f-306*/,149/*f-305*/,163/*f-304*/,
            178/*f-303*/,194/*f-302*/,209/*f-301*/,58/*g-305*/,95/*g-304*/,125/*g-303*/,150/*g-302*/,188/*g-301*/,188/*g-311a*/,188/*g-310*/,134/*g-309*/,
            94/*g-308*/,58/*g-307*/,58/*g-306*/,263/*h1-305*/,293/*h1-304*/,323/*h1-303*/,353/*h1-302*/,383/*h1-301*/,397/*h2-301*/,373/*lab sistem informasi*/,
            340/*h2-302*/,310/*h2-303*/,280/*h2-304*/,255/*h3-310*/,271/*h3-309*/,286/*h3-308*/,302/*h3-307*/,318/*h3-206*/,333/*h3-305*/,348/*h3-304*/,363/*h3-303*/,
            379/*h3-302*/,394/*h3-301*/,

            //L4

            150/*a301*/,175/*a302*/,192/*a303*/,209/*a304*/,260/*a305*/,276/*a306*/,300/*a307*/,325/*a308*/,231/*kosong 3a*/,365/*c301*/,382/*c302*/,398/*c303*/,
            417/*R. Dosen Magister Lingkungan*/,417/*c304*/,380/*c305*/,70/*f-310*/,105/*f-309*/,140/*f-308*/,175/*f-307*/,198/*f-306*/,215/*f-305*/,58/*g-205*/,
            95/*g-204*/,125/*g-203*/,150/*g-202*/,188/*g-201*/,188/*jurusan T.sipil*/,188/*jurusan desain produk*/,188/*kosong g*/,154/*jurusan arsitektur*/,
            124/*jurusan T.lingkungan*/,94/*kosong g2*/,58/*g-207*/,58/*g-206b*/,58/*g-206a*/,323/*lab jarkom*/,397/*h2-401*/,381/*h1-303*/,361/*h1-302*/,340/*h1-301*/,
            290/*h2-301*/,260/*lab teknik tenaga listrik dan mesin listrik*/,290/*h2-302*/,318/*h2-303*/,333/*h2-304*/,348/*h3-310*/,363/*h3-309*/,380/*h3-308*/,395/*h3-307*/,

            //jdng
            0,0,0,0,0,0,0,0,0,0,/*11*/0,
            0,0,0,
            0,0,0,0,0,0,0,0,0,0,/*11*/0,
            0,0,0,


    };
    public  int[] y1={100/*psa*/,97/*wakil rektor*/,97/*ruang tamu*/,97/*loket*/,97/*ypts*/,0,0,97/*bank*/,97/*program sekertariat program pasca sarjana*/,
            99/*kosong c*/,137/*ilc*/,99/*ruang tamu ilc*/,145/*2*/,175/*3*/,205/*4*/,235/*5*/,275/*6*/,310/*7*/,337/*8*/,367/*9*/,397/*10*/,
            427/*11*/,457/*12*/,205/*16*/,235/*17*/,260/*18*/,290/*19*/,320/*20*/,380/*21*/,410/*22*/,440/*23*/,470/*24*/,275/*kosongb1*/,355/*kosong tengah 2*/,
            440/*kosong tengah 3*/,155/*taman 1*/,235/*taman 2*/,315/*taman 3*/,395/*taman 4*/,195/*hotspot*/,155/*kosong b*/,290/*hima*/,350/*kantin*/,450/*sc*/,
            518/*lab mesin fluida*/,518/*lab manufacture 1*/,518/*lab beton teknologi*/,560/*lab mekanika tanah*/,600/*lab bahan jalan dan ilmu ukur tanah*/,
            598/*lab pengelasan*/,598/*lab desain, pneumatik dan hidrolik*/,598/*lab motor bakar*/,560/*lab material dan metalurgi*/,628/*lab dasar kimia*/,
            628/*lab operasi kimia*/,628/*lab energi terbarukan*/,629/*lab teknologi proses*/,628/*cnc*/,629/*lab towing tank (T. Perkapalan)*/,558/*h1-110*/,
            560/*h1-109*/,558/*R. Dosen sistem informasi 1*/,560/*jurusan sistem informasi*/,560/*jurusan informatika*/,560/*R. Dosen sistem informasi 2*/,560/*R. Dosen Informatika*/,
            558/*lab basprog*/,598/*magister lingkungan s2*/,598/*R. Sidang elektro*/,598/*jurusan elektro*/,598/*jurusan industri*/,595/*ruang translit dosen*/,598/*jurusan mesin*/,
            595/*jurusan kimia*/,638/*ruang sidang mesin*/,638/*lab manufacture 2*/,638/*h3-103*/,638/*lab rekayasa lingkungan*/,636/*lab kualitas lingkungan*/,
            //tam
            0,0,0,0,0,0,0,0,0,0,/*11*/0,
            0,0,0,

            //L2

            100/*a201*/,97/*a202*/,100/*a203*/,97/*a204*/,97/*a205*/,97/*a206*/,100/*c201*/,100/*c203*/,100/*c204*/,137/*c204*/,
            137/*c206*/,628/*f-205*/,628/*f-204*/,628/*f-203*/,628/*f-202*/,628/*f-201*/,518/*g-205*/,518/*g-204*/,518/*g-203*/,518/*g-202*/,518/*g-201*/,545/*jurusan T.sipil*/,
            568/*jurusan desain produk*/,595/*kosong g*/,598/*jurusan arsitektur*/,598/*jurusan T.lingkungan*/,598/*kosong g2*/,598/*g-207*/,570/*g-206b*/,543/*g-206a*/,
            558/*h1-205*/,558/*h1-204*/,558/*h1-203*/,558/*h1-202*/,558/*h1-201b*/,598/*h2-201*/,592/*lab kimia*/,595/*h2-202*/,595/*h2-203*/,595/*h2-204*/,636/*h3-205*/,
            636/*h3-204*/,636/*h3-203*/,636/*h3-202*/,636/*h3-201*/,

            //L3

            97/*a301*/,100/*a302*/,100/*a303*/,100/*a304*/,100/*a305*/,100/*a306*/,97/*a307*/,100/*a308*/,97/*kosong 3a*/,100/*c301*/,100/*c302*/,100/*c303*/,
            97/*R. Dosen Magister Lingkungan*/,137/*c304*/,137/*c305*/,630/*f-310*/,630/*f-309*/,630/*f-308*/,630/*f-307*/,630/*f-306*/,630/*f-305*/,630/*f-304*/,
            630/*f-303*/,630/*f-302*/,630/*f-301*/,518/*g-305*/,518/*g-304*/,518/*g-303*/,518/*g-302*/,518/*g-301*/,563/*g-311a*/,595/*g-310*/,595/*g-309*/,
            595/*g-308*/,595/*g-307*/,563/*g-306*/,558/*h1-305*/,558/*h1-304*/,558/*h1-303*/,558/*h1-302*/,558/*h1-301*/,598/*h2-301*/,595/*lab sistem informasi*/,
            595/*h2-302*/,595/*h2-303*/,595/*h2-304*/,638/*h3-310*/,638/*h3-309*/,638/*h3-308*/,638/*h3-307*/,638/*h3-306*/,
            638/*h3-305*/,638/*h3-304*/,638/*h3-303*/,638/*h3-302*/,638/*h3-301*/,

            //L4

            100/*a401*/,100/*a402*/,100/*a403*/,100/*a404*/,100/*a405*/,100/*a406*/,97/*a407*/,100/*a408*/,97/*kosong 4a*/,100/*c401*/,100/*c402*/,100/*c403*/,
            97/*R. Dosen Magister Lingkungan L4*/,137/*c404*/,137/*c405*/,633/*f-310*/,633/*f-309*/,633/*f-308*/,633/*f-307*/,630/*f-306*/,630/*f-305*/,518/*g-405*/,518/*g-404*/,518/*g-403*/,518/*g-402*/,518/*g-401*/,545/*kosong 4g1*/,
            568/*kosong 4g2*/,595/*studio tugas akhir 2*/,598/*g-411*/,598/*g-410*/,598/*g-409*/,598/*g-408*/,570/*g-407*/,543/*g-406*/,558/*jarkom*/,596/*h1-304*/,596/*h1-303*/,598/*h1-302*/,598/*h1-301*/,596/*h2-301*/,
            638/*lab teknik tenaga listrik dan mesin listrik*/,638/**/,638/*h3-306*/,638/*h3-305*/,638/*h3-304*/,638/*h3-303*/,638/*h3-302*/,638/*h3-301*/,


            //jdng
            0,0,0,0,0,0,0,0,0,0,/*11*/0,
            0,0,0,
            0,0,0,0,0,0,0,0,0,0,/*11*/0,
            0,0,0,

    };

   public String[] carikelas ={"psa"/*0*/,"wakil rektor"/*1*/,"ruang tamu"/*2*/,"loket"/*3*/,"ypts"/*4*/,""/*5*/,"km a"/*6*/,"bank"/*7*/,
            "program sekertariat program pasca sarjana"/*8*/,"kosonga1"/*9*/,"ilc"/*10*/,"ruang tamu ilc"/*11*/,"2"/*12*/,"3"/*13*/,"4"/*14*/,"5"/*15*/,"6"/*16*/,"7"/*17*/,"8"/*18*/,
            "9"/*19*/,"10"/*20*/,"11"/*21*/,"12"/*22*/,"16"/*23*/,"17"/*24*/,"18"/*25*/,"19"/*26*/,"20"/*27*/,"21"/*28*/,"22"/*29*/,"23"/*30*/,"24"/*31*/,"kosong tengah 1"/*32*/,"kosong tengah 2"/*33*/,"kosong tengah 3"/*34*/,
            "taman 1"/*35*/,"taman 2"/*36*/,"taman 3"/*37*/,"taman 4"/*38*/,"hotspot"/*39*/,"kosong b"/*40*/,"hima"/*41*/,"kantin"/*42*/,"sc"/*43*/,"lab mesin fluida"/*44*/,"lab manufacture 1"/*45*/,"lab beton teknologi"/*46*/,
            "lab mekanika tanah"/*47*/,"lab bahan jalan dan ilmu ukur tanah"/*48*/,"lab pengelasan"/*49*/,"lab desain, pneumatik dan hidrolik"/*50*/,
            "lab motor bakar"/*51*/,"lab material dan metalurgi"/*52*/,"lab dasar kimia"/*53*/,"lab operasi kimia"/*54*/,"lab energi terbarukan"/*55*/,"lab teknologi proses"/*56*/,
            "cnc"/*57*/,"lab towing tank (T. Perkapalan)"/*58*/,"h1-110"/*59*/,"h1-109"/*60*/,"R. Dosen sistem informasi 1"/*61*/,"jurusan sistem informasi"/*62*/,"jurusan informatika"/*63*/,"R. Dosen sistem informasi 2"/*64*/,
            "R. Dosen Informatika"/*65*/,"lab basprog"/*66*/,"magister lingkungan s2"/*67*/,"R. Sidang elektro"/*68*/,"jurusan elektro"/*69*/,"jurusan industri"/*70*/,
            "ruang transit dosen"/*71*/,"jurusan mesin"/*72*/,"jurusan kimia"/*73*/,"ruang sidang mesin"/*74*/,"lab manufacture 2"/*75*/,"h3-103"/*76*/,
            "lab rekayasa lingkungan"/*77*/,"lab kualitas lingkungan"/*78*/,
//Tambahan
            "masjid"/*79*/,
            "parkiran utara"/*80*/,
            "parkiran tengah utara"/*81*/,
            "parkiran barat"/*82*/,
            "parkiran tengah selatan"/*83*/,
            "parkiran selatan"/*84*/,
            "lapangan"/*85*/,
            "jalan utara"/*86*/,
            "jalan timur"/*87*/,
            "jalan selatan"/*88*/,
            "jalan utara tengah"/*89*/,
            "jalan timur tengah"/*90*/,
            "jalan selatan tengah"/*91*/,
            "jalan barat tengah"/*92*/,

//L2
            "a-201"/*93*/,"a-202"/*94*/,"a-203"/*95*/,"a-204"/*96*/,"a-205"/*97*/,"a-206"/*98*/,"c-201"/*99*/,"c-203"/*100*/,"c-204"/*101*/,"c-205"/*102*/,"c-206"/*103*/,"f-205"/*104*/,"f-204"/*105*/,"f-203"/*106*/,"f-202"/*107*/,
            "f-201"/*108*/,"g-205"/*109*/,"g-204"/*110*/,"g-203"/*111*/,"g-202"/*112*/,"g-201"/*113*/,"jurusan T.sipil"/*114*/,"jurusan desain produk"/*115*/,"kosong g"/*116*/,"jurusan arsitektur"/*117*/,
            "jurusan T.lingkungan"/*118*/,"kosong g2"/*119*/,"g-207"/*120*/,"g-206b"/*121*/,"g-206a"/*122*/,"h1-205"/*123*/,"h1-204"/*124*/,"h1-203"/*125*/,"h1-202"/*126*/,"h1-201b"/*127*/,"h2-201"/*128*/,
            "lab kimia"/*129*/,"h2-202"/*130*/,"h2-203"/*131*/,"h2-204"/*132*/,"h3-205"/*133*/,"h3-204"/*134*/,"h3-203"/*135*/,"h3-202"/*136*/,"h3-201"/*137*/,
//L3
            "a-301"/*138*/,"a-302"/*139*/,"a-303"/*140*/,"a-304"/*141*/,"a-305"/*142*/,"a-306"/*143*/,"a-307"/*144*/,"a-308"/*145*/,"kosong3a"/*146*/,"c-301"/*147*/,"c-302"/*148*/,"c-303"/*149*/,"R. Dosen Magister Lingkungan"/*150*/,
            "c-304"/*151*/,"c-305"/*152*/,"f-310"/*153*/,"f-309"/*154*/,"f-308"/*155*/,"f-307"/*156*/,"f-306"/*157*/,"f-305"/*158*/,"f-304"/*159*/,"f-303"/*160*/,"f-302"/*161*/,"f-301"/*162*/,"g-305"/*163*/,"g-304"/*164*/,"g-303"/*165*/,
            "g-302"/*166*/,"g-301"/*167*/,"g-311a"/*168*/,"g-310"/*169*/,"g-309"/*170*/,"g-308"/*171*/,"g-307"/*172*/,"g-306"/*173*/,"h1-305"/*174*/,"h1-304"/*175*/,"h1-303"/*176*/,"h1-302"/*177*/,"h1-301"/*178*/,"h2-301"/*179*/,
            "lab sistem informasi"/*180*/,"h2-302"/*181*/,"h2-303"/*182*/,"h2-304"/*183*/,"h3-310"/*184*/,"h3-309"/*185*/,"h3-308"/*186*/,"h3-307"/*187*/,"h3-306"/*188*/,"h3-305"/*189*/,"h3-304"/*190*/,"h3-303"/*191*/,
            "h3-302"/*192*/,"h3-301"/*193*/,
//L4
            "a-401"/*194*/,"a-402"/*195*/,"a-403"/*196*/,"a-404"/*197*/,"a-405"/*198*/,"a-406"/*199*/,"a-407"/*200*/,"a-408"/*201*/,"kosong4a"/*202*/,"c-401"/*203*/,"c-402"/*204*/,"c-403"/*205*/,"R. Dosen magister lingkungan L4"/*206*/,"c-404"/*207*/,
            "c-405"/*208*/,"lab autocad dan aplikasi teknik"/*209*/,"lab fisika"/*210*/,"atlas"/*211*/,"kosong4f"/*212*/,"lab explorasi dan bahan galian"/*213*/,"lab perpetaan dan ukur tanah"/*214*/,
            "g-405"/*215*/,"g-404"/*216*/,"g-403"/*217*/,"g-402"/*218*/,"g-401"/*219*/,"kosong1"/*220*/,"kosong2"/*221*/,"studio tugas akhir 2"/*222*/,"g-411"/*223*/,"g-410"/*224*/,"g-409"/*225*/,"g-408"/*226*/,"g-407"/*227*/,"g-406"/*228*/,
            "lab jaringan komputer"/*229*/,"h2-401"/*230*/,"statistik industri dan simulasi sistem industri"/*231*/,"ruang baca industri"/*232*/,"lab industri"/*233*/,"lab elektro"/*234*/,
            "lab teknik tenaga listrik dan mesin listrik"/*235*/,"ruang robotika"/*236*/,"h3-406"/*237*/,"h3-405"/*238*/,"h3-404"/*239*/,"h3-403"/*240*/,"h3-402"/*241*/,"h3-401"/*242*/,"kosong"/*243*/,"perpus"/*244*/,
            //tangga dan jeding
            "km a1"/*245*/,
            "km c"/*246*/,
            "km b"/*247*/,
            "km b1"/*248*/,
            "km b2"/*249*/,
            "km b3"/*250*/,
            "km h"/*251*/,
            "km 2a"/*252*/,
            "km 2a1"/*253*/,
            "km 2c1"/*254*/,
            "",
            "km 2g"/*256*/,
            "km 2g1"/*257*/,
            "km 2h"/*258*/,
            "km 3a"/*259*/,
            "km 3a1"/*260*/,
            "km 3c"/*261*/,
            "km 3g"/*262*/,
            "km 3g2"/*263*/,
            "km 3h1"/*264*/,
            "km 4a"/*265*/,
            "km 4a1"/*266*/,
            "km 4c1"/*267*/,
            "km 4g"/*268*/,
            "km 4g1"/*269*/,
            "km 4h"/*270*/,
//"tgg a"/*271*/,
//"tgg a1"/*272*/,
//"tgg c"/*273*/,
//"tgg f"/*274*/,
//"tgg f2"/*275*/,
//"tgg g"/*276*/,
//"tgg g1"/*277*/,
//"tgg g2"/*278*/,
//"tgg g 3"/*279*/,
//"tgg h"/*280*/,
//"tgg h1"/*281*/,
//"tgg h2"/*282*/,
//"tgg h3"/*283*/,
//"tgg h4"/*284*/,
//"tgg h5"/*285*/,
//"tgg 2a"/*286*/,
//"tgg 2a1"/*287*/,
//"tgg 2a2"/*288*/,
//"tgg 2c"/*289*/,
//"tgg 2f"/*290*/,
//"tgg 2f1"/*291*/,
//"tgg 2g"/*292*/,
//"tgg 2g1"/*293*/,
//"tgg 2g2"/*294*/,
//"tgg 2g3"/*295*/,
//"tgg 2h"/*296*/,
//"tgg 2h1"/*297*/,
//"tgg 2h2"/*298*/,
//"tgg 2h3"/*299*/,
//"tgg 2h4"/*300*/,
//"tgg 2h5"/*301*/,
//"tgg 3a"/*302*/,
//"tgg 3a1"/*303*/,
//"tgg 3a2"/*304*/,
//"tgg 3c"/*305*/,
//"tgg 3f"/*306*/,
//"tgg 3f1"/*307*/,
//"tgg 3g"/*308*/,
//"tgg 3g1"/*309*/,
//"tgg 3g2"/*310*/,
//"tgg 3g3"/*311*/,
//"tgg 3h"/*312*/,
//"tgg 3h1"/*313*/,
//"tgg 3h2"/*314*/,
//"tgg 3h3"/*315*/,
//"tgg 3h4"/*316*/,
//"tgg 3h5"/*317*/

    };


}
